%define ocamlname binbin

Name:           ocaml-%{ocamlname}
Version:        0.01
Release:        1%{?dist}.emp1
Summary:        Convenient and human-readable bitmap manipulation
License:        ISC
URL:            https://github.com/mirage/ocaml-%{ocaml-name}
Source0:        %{ocamlname}-0.1b.tar.gz

Requires:  	ocaml >= FIXME

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= FIXME
BuildRequires:  jbuilder

%description
BinBin is useful to manipulate binary strings (or bitmaps) in a
convenient and human-readable format.

It's perfect for testing or otherwise exploratory work (on applied
cryptography for example).

If you need an optimized library for production use and resource
intensive tasks, other packages would be better fit.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-0.1b

%build
jbuilder subst
jbuilder build -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%check
make test

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
